Summary: The Internet Junkbuster v2.0
Vendor: http://www.waldherr.org/
Name: junkbuster-blank
Version: 2.0
Release: 4
Source: http://internet.junkbuster.com/ijb20.tar.Z
Patch0: junkbuster-init.patch
Patch1: junkbuster-makefile.patch
Patch2: junkbuster-cookie.patch
Patch3: junkbuster-blocklist.patch
Patch4: junkbuster-useragent-blank.patch
Copyright: GPL
BuildRoot: /tmp/junkbuster-blank
Group: Networking/Utilities
URL: http://www.waldherr.org/junkbuster/
Packager: Stefan Waldherr <swa@cs.cmu.edu>
Conflicts: junkbuster-raw junkbuster

%changelog
* Tue Jun 16 1998 Stefan Waldherr <swa@cs.cmu.edu>
        Moved config files to /etc/junkbuster directory, moved man page,
	added BuildRoot directive (Thanks to Alexey Nogin <ayn2@cornell.edu>)
        Made new version junkbuster-raw (which is only a stripped version of 
        the junkuster rpm, i.e. without my blocklist, etc.)

* Tue Jun 16 1998 (2.0-1)
        o Uhm, not that much. Just a new junkbuster version that
          fixes a couple of bugs ... and of course a bigger 
          blocklist with the unique Now-less-ads-than-ever(SM)
          feature.
        o Oh, one thing: I changed the default user agent to Linux -- no 
          need anymore to support Apple.

* Tue Jun 16 1998 (2.0-0)
        o Now-less-ads-than-ever (SM)
        o compiled with gcc instead of cc
        o compiled with -O3, thus it should be a little faster
        o show-proxy-args now works
        o /etc/junkbuster.init wasn't necessary

* Tue Jun 16 1998 (1.4)
        o some more config files were put into /etc
        o The junkbuster-blank rpm returns a 1x1 pixel image, that gets 
          displayed by Netscape instead of the blocked image.
        o Read http://www.waldherr.org/junkbuster/ for
          further info.

* Tue Jun 16 1998 (1.3)
        o The program has been moved to /usr/sbin (from /usr/local/bin)
        o Init- and stopscripts (/etc/rc.d/rc*) have been added so
          that the junkbuster starts automatically during bootup.
        o The /etc/blocklist file is much more sophisticated. Theoretically
          one should e.g. browse all major US and German newspapers without
          seeing one annoying ad.
        o junkbuster.init was modified. It now starts junkbuster with an
          additional "-r @" flag.

%description 
The Internet Junkbuster (TM) blocks unwanted banner ads and protects
your privacy from cookies and other threats. It's free under the GPL
(no warranty), runs under *NIX and works with almost any browser. You
need to clear you browser's cache and specify the proxy-server,
described in /usr/doc/junkbuster-blank-2.0/ijbfaq.html. This is a 
modified version which returns a blank GIF for blocked images.

%prep
%setup -n ijb20
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
make && strip junkbuster

%pre
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
rm -f /usr/local/bin/junkbuster
rm -f /usr/local/man/man1/junkbuster.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/log/junkbuster,usr/{sbin,man/man8},etc/{junkbuster,rc.d/{init.d,rc{0,1,2,3,5,6}.d}}}
install -s -m 744 junkbuster $RPM_BUILD_ROOT/usr/sbin/junkbuster
cp -f junkbuster.1 $RPM_BUILD_ROOT/usr/man/man8/junkbuster.8
cp -f sblock.ini $RPM_BUILD_ROOT/etc/junkbuster/blocklist
cp -f scookie.ini $RPM_BUILD_ROOT/etc/junkbuster/cookiefile
cp -f saclfile.ini $RPM_BUILD_ROOT/etc/junkbuster/aclfile
cp -f config $RPM_BUILD_ROOT/etc/junkbuster/config
cp -f sforward.ini $RPM_BUILD_ROOT/etc/junkbuster/forward
cp -f strust.ini $RPM_BUILD_ROOT/etc/junkbuster/trust
install -m 755 junkbuster.init $RPM_BUILD_ROOT/etc/rc.d/init.d/junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K09junkbuster

%post
cat << EOT

Now you'll need to start junkbuster with "/etc/rc.d/init.d/junkbuster start"
or simply reboot; don't forget to add the proxy stuff in Netscape.

EOT

%files
%doc ijbfaq.html ijbman.html README README.TOO gpl.html
%dir /etc/junkbuster
%config /etc/junkbuster/blocklist
%config /etc/junkbuster/cookiefile
%config /etc/junkbuster/aclfile
%config /etc/junkbuster/config
%config /etc/junkbuster/forward
%config /etc/junkbuster/trust
%dir /var/log/junkbuster
/usr/sbin/junkbuster
/usr/man/man8/junkbuster.8
/etc/rc.d/init.d/junkbuster
/etc/rc.d/rc0.d/K09junkbuster
/etc/rc.d/rc1.d/K09junkbuster
/etc/rc.d/rc2.d/S84junkbuster
/etc/rc.d/rc3.d/S84junkbuster
/etc/rc.d/rc5.d/S84junkbuster
/etc/rc.d/rc6.d/K09junkbuster

#
#  diff -uNr ijb20.orig ijb20 > ../SOURCES/junkbuster-init.patch
#  diff -uNr ijb20.orig/sblock.ini  ijb20/sblock.ini  > ../SOURCES/junkbuster-blocklist.patch
